@import "../../Styles/Vars.css";

.cart {
  width: 35rem;
  background-color: var(--color-white) !important;
  padding: 3.5rem 1.5rem 1.5rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.5);
  min-height: 10rem;
}

.header {
  position: absolute;
  display: block;
  left: 0;
  top: 0;
  right: 0;
  padding: 0.5rem;
  margin: 0;
  background-color: var(--color-yellow);
  border-top-left-radius: 14px;
  border-top-right-radius: 14px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.cart-items {
  max-height: 22rem;
  overflow-x: auto;
}

.total {
  font-weight: bold;
  font-size: 20px;
  display: flex;
  justify-content: space-between;
  margin: 1rem 0;
}

.actions {
  display: flex;
  justify-content: flex-end;
}

.button {
  background-color: var(--color-yellow);
  border-radius: 18px;
  border: 1px solid var(--color-gray);
  color: black;
  cursor: pointer;
  font-weight: bold;
  font: inherit;
  margin-left: 1rem;
  padding: 0.3rem 1.5rem;
}

.button--alt {
  background-color: var(--color-white);
  border-radius: 18px;
  border: 1px solid var(--color-gray);
  color: black;
  cursor: pointer;
  font-weight: bold;
  font: inherit;
  padding: 0.3rem 1.5rem;
}

.button:hover {
  background-color: var(--color-dark-yellow);
}

.button--alt:hover {
  background-color: var(--color-light-gray);
}
